%define         kdeframever     5.73
%define         qtver           5.9.0
%define         kfname          plasma-wayland-protocols

Summary:	Plasma Specific Protocols for Wayland
Name:		kf5-%{kfname}
Version:	1.4.0
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	https://download.kde.org/stable/%{kfname}/%{kfname}-%{version}.tar.xz
# Source0-md5:	5dac96531a31660ba03b58d41b3d81d5
URL:		https://invent.kde.org/libraries/%{kfname}.git
BuildRequires:	kf5-extra-cmake-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_debugsource_packages	0

%description
Plasma Specific Protocols for Wayland

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
		-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
		../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/plasma-wayland-protocols/

%files devel
%defattr(644,root,root,755)
%{_libdir}/cmake/PlasmaWaylandProtocols/
%changelog
* Fri Sep 17 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-plasma-wayland-protocols.git;a=log;h=master

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4cffccb
- updated to 1.4.0

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d81d21d
- updated to 1.3.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6bf73c8
- updated to 1.2.1

* Sat Apr 03 2021 Jan Rękorajski <baggins@pld-linux.org> 3c300d9
- adapterized, no debugsource packages
- rel 1

* Fri Aug 21 2020 Łukasz Maśko <lmasko@pld-linux.org> 44f425f
- Initial version of the spec, created based upon the Fedora spec.

